## org.eclipse.emf.edit.provider
Class ItemPropertyDescriptorDecorator

    java.lang.Object
      org.eclipse.emf.edit.provider.ItemPropertyDescriptorDecorator

All Implemented Interfaces:
  IItemPropertyDescriptor

Direct Known Subclasses:
  DelegatingWrapperItemProvider.DelegatingWrapperItemPropertyDescriptor

    public class ItemPropertyDescriptorDecorator

extends java.lang.Object
implements IItemPropertyDescriptor

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IItemPropertyDescriptor
`IItemPropertyDescriptor.OverrideableCommandOwner`

Field Summary
`protected IItemPropertyDescriptor` `itemPropertyDescriptor`
`protected java.lang.Object` `object`

Constructor Summary
`ItemPropertyDescriptorDecorator(java.lang.Object object, IItemPropertyDescriptor itemPropertyDescriptor)`

Method Summary
`boolean` `canSetProperty(java.lang.Object thisObject)` This does the delegated job of determining whether the property value from the given object supports set (and reset).
`java.lang.String` `getCategory(java.lang.Object thisObject)` This returns the group of propertiesk into which this one should be placed.
`java.util.Collection<?>` `getChoiceOfValues(java.lang.Object thisObject)` Returns the choices of all the values that this property may take one.
`java.lang.String` `getDescription(java.lang.Object thisObject)` This returns the description to be displayed in the property sheet when this property is selected.
`java.lang.String` `getDisplayName(java.lang.Object thisObject)` This returns the name of the property to be displayed in the property sheet.
`java.lang.Object` `getFeature(java.lang.Object thisObject)` Returns the feature.
`java.lang.String[]` `getFilterFlags(java.lang.Object thisObject)` This returns the flags used as filters in the property sheet.
`java.lang.Object` `getHelpContextIds(java.lang.Object thisObject)`
`java.lang.String` `getId(java.lang.Object thisObject)` This returns the interface name of this property.
`IItemLabelProvider` `getLabelProvider(java.lang.Object thisObject)` This does the delegated job of getting the label provider for the given object
`java.lang.Object` `getPropertyValue(java.lang.Object thisObject)` This does the delegated job of getting the property value from the given object
`boolean` `isCompatibleWith(java.lang.Object object, java.lang.Object anotherObject, IItemPropertyDescriptor anotherItemPropertyDescriptor)` This indicates whether these two property descriptors are equal.
`boolean` `isMany(java.lang.Object thisObject)` This does the delegated job of determining whether the property represents multiple values.
`boolean` `isMultiLine(java.lang.Object object)` This does the delegated job of determining whether the property's value consists of multi-line text.
`boolean` `isPropertySet(java.lang.Object thisObject)` This does the delegated job of determining whether the property value from the given object is set.
`boolean` `isSortChoices(java.lang.Object object)` This does the delegated job of determining the choices for this property should be sorted for display.
`void` `resetPropertyValue(java.lang.Object thisObject)` This does the delegated job of resetting property value back to it's default value.
`void` `setPropertyValue(java.lang.Object thisObject, java.lang.Object value)` This does the delegated job of setting the property to the given value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### object

    protected java.lang.Object object

### itemPropertyDescriptor

    protected IItemPropertyDescriptor itemPropertyDescriptor

Constructor Detail

### ItemPropertyDescriptorDecorator

    public ItemPropertyDescriptorDecorator(java.lang.Object object,
                                           IItemPropertyDescriptor itemPropertyDescriptor)

Method Detail

### getCategory

    public java.lang.String getCategory(java.lang.Object thisObject)

  This returns the group of propertiesk into which this one should be placed.

  Specified by:
    `getCategory` in interface `IItemPropertyDescriptor`

### getDescription

    public java.lang.String getDescription(java.lang.Object thisObject)

  This returns the description to be displayed in the property sheet when this property is selected.

  Specified by:
    `getDescription` in interface `IItemPropertyDescriptor`

### getDisplayName

    public java.lang.String getDisplayName(java.lang.Object thisObject)

  This returns the name of the property to be displayed in the property sheet.

  Specified by:
    `getDisplayName` in interface `IItemPropertyDescriptor`

### getFilterFlags

    public java.lang.String[] getFilterFlags(java.lang.Object thisObject)

  This returns the flags used as filters in the property sheet.

  Specified by:
    `getFilterFlags` in interface `IItemPropertyDescriptor`

### getId

    public java.lang.String getId(java.lang.Object thisObject)

  This returns the interface name of this property. This is the key that is passed around and must uniquely identifiy this descriptor.

  Specified by:
    `getId` in interface `IItemPropertyDescriptor`

### getHelpContextIds

    public java.lang.Object getHelpContextIds(java.lang.Object thisObject)

  Specified by:
    `getHelpContextIds` in interface `IItemPropertyDescriptor`

### getLabelProvider

    public IItemLabelProvider getLabelProvider(java.lang.Object thisObject)

  This does the delegated job of getting the label provider for the given object

  Specified by:
    `getLabelProvider` in interface `IItemPropertyDescriptor`

### isCompatibleWith

    public boolean isCompatibleWith(java.lang.Object object,
                                    java.lang.Object anotherObject,
                                    IItemPropertyDescriptor anotherItemPropertyDescriptor)

  This indicates whether these two property descriptors are equal. It's not really clear to me how this is meant to be used, but it's a little bit like an equals test.

  Specified by:
    `isCompatibleWith` in interface `IItemPropertyDescriptor`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.Object thisObject)

  This does the delegated job of getting the property value from the given object

  Specified by:
    `getPropertyValue` in interface `IItemPropertyDescriptor`

### isPropertySet

    public boolean isPropertySet(java.lang.Object thisObject)

  This does the delegated job of determining whether the property value from the given object is set.

  Specified by:
    `isPropertySet` in interface `IItemPropertyDescriptor`

### canSetProperty

    public boolean canSetProperty(java.lang.Object thisObject)

  This does the delegated job of determining whether the property value from the given object supports set (and reset).

  Specified by:
    `canSetProperty` in interface `IItemPropertyDescriptor`

### resetPropertyValue

    public void resetPropertyValue(java.lang.Object thisObject)

  This does the delegated job of resetting property value back to it's default value.

  Specified by:
    `resetPropertyValue` in interface `IItemPropertyDescriptor`

### setPropertyValue

    public void setPropertyValue(java.lang.Object thisObject,
                                 java.lang.Object value)

  This does the delegated job of setting the property to the given value.

  Specified by:
    `setPropertyValue` in interface `IItemPropertyDescriptor`

### getFeature

    public java.lang.Object getFeature(java.lang.Object thisObject)

  Description copied from interface: `IItemPropertyDescriptor`
  Returns the feature.

  Specified by:
    `getFeature` in interface `IItemPropertyDescriptor`

### getChoiceOfValues

    public java.util.Collection<?> getChoiceOfValues(java.lang.Object thisObject)

  Description copied from interface: `IItemPropertyDescriptor`
  Returns the choices of all the values that this property may take one.

  Specified by:
    `getChoiceOfValues` in interface `IItemPropertyDescriptor`

### isMany

    public boolean isMany(java.lang.Object thisObject)

  This does the delegated job of determining whether the property represents multiple values.

  Specified by:
    `isMany` in interface `IItemPropertyDescriptor`

### isMultiLine

    public boolean isMultiLine(java.lang.Object object)

  This does the delegated job of determining whether the property's value consists of multi-line text.

  Specified by:
    `isMultiLine` in interface `IItemPropertyDescriptor`
  Since:
    2.2.0

### isSortChoices

    public boolean isSortChoices(java.lang.Object object)

  This does the delegated job of determining the choices for this property should be sorted for display.

  Specified by:
    `isSortChoices` in interface `IItemPropertyDescriptor`
  Since:
    2.2.0

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.